<br>
<h2 mat-dialog-title>Editar Editorial</h2>

<mat-dialog-content>
    <form [formGroup]="editorialForm">
        <!-- Razón Social -->
        <mat-form-field appearance="fill" class="col-md-8">
            <mat-label>Razón Social</mat-label>
            <input matInput formControlName="validaRazonSocial">
            <mat-error *ngIf="editorialForm.get('validaRazonSocial')?.hasError('required')">
                La razón social es obligatoria.
            </mat-error>
            <mat-error *ngIf="editorialForm.get('validaRazonSocial')?.hasError('pattern')">
                Solo letras son permitidas, minimo 3 y máximo 30.
            </mat-error>
        </mat-form-field>

        <!-- RUC -->
        <mat-form-field appearance="fill" class="col-md-8">
            <mat-label>RUC</mat-label>
            <input matInput formControlName="validaRUC">
            <mat-error *ngIf="editorialForm.get('validaRUC')?.hasError('required')">
                El RUC es obligatorio.
            </mat-error>
            <mat-error *ngIf="editorialForm.get('validaRUC')?.hasError('pattern')">
                Solo números son permitidos y maximo de 10 digitos.
            </mat-error>
        </mat-form-field>

        <!-- Dirección -->
        <mat-form-field appearance="fill" class="col-md-8">
            <mat-label>Dirección</mat-label>
            <input matInput formControlName="validaDireccion">
            <mat-error *ngIf="editorialForm.get('validaDireccion')?.hasError('required')">
                La dirección es obligatoria.
            </mat-error>
        </mat-form-field>

        <!-- Fecha de Creación -->
        <mat-form-field appearance="fill" class="col-md-8">
            <mat-label>Fecha de Creación</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="validaFechaCrecion">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-error *ngIf="editorialForm.get('validaFechaCrecion')?.hasError('required')">
                La fecha de creación es obligatoria.
            </mat-error>
        </mat-form-field>

        <!-- País -->
        <mat-form-field appearance="fill" class="col-md-8">
            <mat-label>País</mat-label>
            <mat-select formControlName="validaPais">
                <mat-option *ngFor="let pais of lstPais" [value]="pais.idPais">
                    {{ pais.nombre }}
                </mat-option>
            </mat-select>
            <mat-error *ngIf="editorialForm.get('validaPais')?.hasError('required')">
                El país es obligatorio.
            </mat-error>
        </mat-form-field>
    </form>
</mat-dialog-content>

<mat-dialog-actions align="end">
    <button mat-button (click)="onCancel()">Cancelar</button>
    <button mat-button color="primary" (click)="onSave()" [disabled]="!editorialForm.valid">Guardar</button>
</mat-dialog-actions>